<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$id_periodo=$_GET['id_periodo'];
$nivel=$_GET['nivel'];
if($nivel=="SA") $nivel="";

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$id_periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion=' ('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$codigo_periodo=$row2['codigo'].'-'.$row2['tipo'].$descripcion;


//Datos de la Sede
$nombre_sede="TODAS";
if($sede!=0){
   $sql2 = "select * from sedes where codigo='$sede'";
   $rs2=mysql_query($sql2,$cn);
   $row2=mysql_fetch_array($rs2);
   $nombre_sede=$row2['nombre_sede'];
}

$nombre_semestre="TODOS";
if($semestre!="99") $nombre_semestre=$semestre;

$nombre_mencion="TODAS";
if($nivel=="CIU") $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
if($nivel=="CG") {
   $nombre_mencion="COMPONENTE GENERAL";
   $nivel="COMUN";
}   
if($nivel=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($nivel=="RT") $nombre_mencion="RENTAS";
if($nivel=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";


// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];


   
// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);

$query = "SELECT DISTINCT oferta_academica.id_profesor, docentes.cedula,docentes.apellidos, docentes.nombres, docentes.dpto_adscripcion
FROM oferta_academica, docentes
WHERE oferta_academica.id_profesor = docentes.id_docente
AND id_periodo ='$id_periodo'
AND id_profesor >0";
if($nivel!="0") $query=$query." and docentes.dpto_adscripcion='$nivel' ";
$query=$query. " ORDER BY docentes.apellidos, docentes.nombres";


// Ejecuta el Query.

$result = mysql_query ($query,$cn) or die (mysql_error()); 
//$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'."DOCENTES ACTIVOS".'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("            LAPSO ACADÉMICO: ").'</b>'.utf8_decode($codigo_periodo),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);

$pdf->ezText('<b>'."            CARRERA: ".'</b>'." LICENCIATURA EN CIENCIAS FISCALES",10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("            NÚMERO DE ACTIVOS: ").'</b>'.number_format($totalRows,0,"",".").utf8_decode("<b>"."    FECHA: "."</b>").date("d/m/Y"),10,array('justification'=>'left'));



// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.5,2,3.5,2.5);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.'.'</b>', 
			  'cedula'=>'<b>'.utf8_decode('CÉDULA    ').'</b>', 
              'apellidosynombres'=>'<b>'.'        APELLIDOS Y NOMBRES DEL DOCENTE'.'</b>',
			  'coordinacion'=>'<b>'.utf8_decode('COORDINACIÓN O ÁREA').'</b>'); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[1];    // cedula 
    $apeynom  = $row[2].', '.$row[3];
	$coordinacion= $row[4]; // apellidos y nombres 
	if($coordinacion=="") $coordinacion="SIN ADSCRIPCIÓN";    
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>number_format($ced,0,"",".").' ', 
                    'apellidosynombres'=>utf8_decode($apeynom),
					'coordinacion'=>utf8_decode($coordinacion)); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'coordinacion'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 


?> 